#!/bin/bash

#########################################################################
# This program is free software: you can redistribute it and/or modify  #
# it under the terms of the version 3 of the GNU General Public License #
# as published by the Free Software Foundation.                         #
#                                                                       #
# This program is distributed in the hope that it will be useful, but   #
# WITHOUT ANY WARRANTY; without even the implied warranty of            #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      #
# General Public License for more details.                              #
#                                                                       #
# You should have received a copy of the GNU General Public License     #
# along with this program. If not, see <http://www.gnu.org/licenses/>.  #
#                                                                       #
# Written by and Copyright (C) Francois Fleuret                         #
# Contact <francois.fleuret@idiap.ch> for comments & bug reports        #
#########################################################################

set -e

# Move things to a newly created trash directory in /tmp/. Re-use an
# existing one if it is less than 5min old.

TRASH=$(find /tmp/ -maxdepth 1 -mmin -5 -type d -name "trash*" | sort | tail -1)

if [[ ${TRASH} ]]; then
    echo "Re-use ${TRASH}"
else
    TRASH=$(date +/tmp/trash-%Y-%b-%d-%H_%M_%S)
    mkdir ${TRASH}
    echo "Created ${TRASH}:"
fi

mv $* ${TRASH}

# ls -ad ${TRASH}/*
